Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core
Class DroolsAction

    java.lang.Object
      org.jbpm.workflow.core.DroolsAction

All Implemented Interfaces:
  Externalizable, Serializable, org.drools.core.spi.Wireable

Direct Known Subclasses:
  DroolsConsequenceAction

    public class DroolsAction

extends Object
implements Externalizable, org.drools.core.spi.Wireable

See Also:
  Serialized Form

Constructor Summary
`DroolsAction()`

Method Summary
`Object` | `getMetaData(String name)`
`String` | `getName()`
`void` | `readExternal(ObjectInput in)`
`void` | `setMetaData(String name, Object value)`
`void` | `setName(String name)`
`void` | `wire(Object object)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DroolsAction

    public DroolsAction()

Method Detail

### wire

    public void wire(Object object)

  Specified by:
    `wire` in interface `org.drools.core.spi.Wireable`

### setMetaData

    public void setMetaData(String name,
                            Object value)

### getMetaData

    public Object getMetaData(String name)

### getName

    public String getName()

### setName

    public void setName(String name)

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.